Subject: bug#51233: 28.0.60; Bookmark fringe indicator not removed

From: Carlos Pita <[email-masked]>
Date: Mon, 15 Nov 2021 14:24:36 -0300

This is exactly what I do:

1. emacs -q
2. C-x C-f /tmp/test-fringe (a new blank file)
3. Type "some text"
4. C-x r m (you can use the default name or enter a different one)
5. C-x r l (by default replaces window, but also tested it side by
side as in your case by first splitting the window)
6. d x (the bookmark disappears from the list as per usual)
7. q (the /tmp/test-fringe buffer is shown again)
8. I get what's shown in the attached screenshot.

I've done about 20 repetitions now and a couple of times I actually
saw the indicator disappear, in both cases it was the one in the last
line of the buffer and in one case it took some time before it was
removed (it was weird because I was going to take the screenshot and
all of a sudden the image vanished). Perhaps try entering a few
additional bookmarks in other lines of the file.